You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@arrow.apache.org by ks...@apache.org on 2019/04/01 07:12:15 UTC

[arrow] branch master updated: ARROW-5079: [Release] Add a script that releases C# package

This is an automated email from the ASF dual-hosted git repository.

kszucs pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/arrow.git


The following commit(s) were added to refs/heads/master by this push:
     new f6d883a  ARROW-5079: [Release] Add a script that releases C# package
f6d883a is described below

commit f6d883ad4658e2e34b1810b2e93e546645bdc26f
Author: Kouhei Sutou <ko...@clear-code.com>
AuthorDate: Mon Apr 1 09:12:00 2019 +0200

    ARROW-5079: [Release] Add a script that releases C# package
    
    Author: Kouhei Sutou <ko...@clear-code.com>
    
    Closes #4088 from kou/release-csharp and squashes the following commits:
    
    518235a29 <Kouhei Sutou>  Add a script that releases C# package
---
 dev/release/post-06-csharp.sh | 59 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 59 insertions(+)

diff --git a/dev/release/post-06-csharp.sh b/dev/release/post-06-csharp.sh
new file mode 100755
index 0000000..59edc02
--- /dev/null
+++ b/dev/release/post-06-csharp.sh
@@ -0,0 +1,59 @@
+#!/bin/bash
+# -*- indent-tabs-mode: nil; sh-indentation: 2; sh-basic-offset: 2 -*-
+#
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+#
+set -e
+
+SOURCE_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
+
+if [ "$#" -ne 1 ]; then
+  echo "Usage: $0 <version>"
+  exit
+fi
+
+version=$1
+
+if [ -z "${NUGET_API_KEY}" ]; then
+  echo "NUGET_API_KEY is empty"
+  exit 1
+fi
+
+archive_name=apache-arrow-${version}
+tar_gz=${archive_name}.tar.gz
+rm -f ${tar_gz}
+curl \
+  --remote-name \
+  --fail \
+  https://www-us.apache.org/dist/arrow/arrow-${version}/${tar_gz}
+rm -rf ${archive_name}
+tar xf ${tar_gz}
+pushd ${archive_name}/csharp
+dotnet pack -c Release
+for package in artifacts/Apache.Arrow/Release/*.{nupkg,snupkg}; do
+  dotnet nuget push \
+    ${package} \
+    -k ${NUGET_API_KEY} \
+    -s https://api.nuget.org/v3/index.json
+done
+popd
+rm -rf ${archive_name}
+rm -f ${tar_gz}
+
+echo "Success! The released NuGet package is available here:"
+echo "  https://www.nuget.org/packages/Apache.Arrow/${version}"